Skip to main content
GET
/
api
/
jobs
/
beta
/
jobs
/
{jobId}
/
logs
Get logs for a Job
curl --request GET \
  --url https://api.example.com/api/jobs/beta/jobs/{jobId}/logs \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "logs": {
    "isComplete": true,
    "logContent": [
      {
        "log": "Pulling image \"172.20.22.242:5000/noahjax11699-compute/environment:622a6879dde1a920fcccfef5-1\"",
        "size": 94,
        "timestamp": "2022-03-12T02:13:51.616Z"
      }
    ],
    "helpLink": "Error. No such file or directory.",
    "problem": "python: can't open file 'invalid.py': [Errno 2] No such file or directory"
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "pagination": {
      "limit": 10,
      "latestTimeNano": "1647051415275957459"
    },
    "requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

jobId
string
required

Id of job to get logs for

Query Parameters

logType
enum<string>

Type of log to retrieve. Case insensitive.

Available options:
stdOut,
stdErr,
prepareOutput,
complete
limit
integer

Max number of log lines to fetch. Will not retrieve over 10000 log lines at a time.

latestTimeNano
string

The epoch time in nanoseconds to start fetching from

Response

Success

logs
object
required
metadata
object
required